Retrieve a benefit
curl --request GET \
--url https://api.spacebring.com/benefits/v1/{benefitId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.spacebring.com/benefits/v1/{benefitId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.spacebring.com/benefits/v1/{benefitId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"benefit": {
"application": {
"confirmationEmail": {
"enabled": true,
"template": "<string>"
},
"enabled": true
},
"categoryRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createDate": "2023-11-07T05:31:56Z",
"description": "<string>",
"featured": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locale": "<string>",
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"media": [
{
"key": "<string>",
"url": "<string>"
}
],
"networkRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subtitle": "<string>",
"title": "<string>",
"updateDate": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"type": "<string>"
}Benefits
Retrieve a benefit
Retrieve a benefit.
OAuth
Required scopes:benefits.readonly or benefitsGET
/
benefits
/
v1
/
{benefitId}
Retrieve a benefit
Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Path Parameters
The id of the benefit.
Response
OK
The benefit.
Show child attributes
Show child attributes
Was this page helpful?
⌘I